# virtio windows drivers Removal
# 2017-2022 foo.li systeme + software

$packageName	= 'kvm-virito-drivers'
$version        = '0.1.215'
$virtioPath	= "$env:SystemDrive" + "\Virtio_" + $version

try {
  if (Test-Path $virtioPath) {
    Write-Host 'removing directory ' $virtioPath
    Remove-Item $virtioPath -Recurse -Force
  } else {
    Write-Host 'could not detect ' $virtioPath ' files.'
  }
  Write-Host '[NOTE]: this does not remove any installed drivers, just the sourcefiles.'
} catch {
  throw $_.Exception
}
